<div class="flex flex-col flex-auto items-top min-w-0" style="background-color:#F8F8F8;">
    <!-- Logo -->
    <div class="w-full sm:w-auto px-4 sm:p-1 shadow bg-white">
        <div class="container flex items-center h-14 px-4 mb-3 pb-0">
            <!-- Light version -->
            <img class="dark:hidden w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
            <!-- Dark version -->
            <img class="hidden dark:flex w-30" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
        </div>
    </div>

    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/forgot-password']"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex items-top justify-center mt-12 mx-auto w-full sm:w-auto px-4 sm:p-8 md:p-12 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001A;">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0 px-8">
            <!-- Title -->
            <div class="font-Semibold-20 tracking-tight leading-7">Reset your password</div>

            <!-- Alert -->
            <fuse-alert class="mt-5" *ngIf="showAlert" [appearance]="'outline'" [showIcon]="false" [type]="alert.type"
                [@shake]="alert.type === 'error'">
                {{alert.message}}
            </fuse-alert>

            <!-- Reset password form -->
            <form class="mt-5" [formGroup]="resetPasswordForm" #resetPasswordNgForm="ngForm">

                <!-- Password field -->
                <mat-form-field class="w-full" appearance="outline">
                    <mat-label> New Password</mat-label>
                    <input id="password" matInput type="password" [formControlName]="'newPassword'" autocomplete="off"
                        autocorrect="off" autocapitalize="none" spellcheck="false" #passwordField>
                    <button mat-icon-button type="button"
                        (click)="passwordField.type === 'password' ? passwordField.type = 'text' : passwordField.type = 'password'"
                        matSuffix>
                        <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'text'"
                            [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                        <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'password'"
                            [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
                    </button>
                    <mat-error>
                        Password must meet password criteria
                    </mat-error>
                </mat-form-field>


                <!-- Password confirm field -->
                <mat-form-field class="w-full" appearance="outline">
                    <mat-label>Confirm New Password</mat-label>
                    <input id="password-confirm" matInput type="password" [formControlName]="'confirmPassword'"
                        autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false"
                        #passwordConfirmField>
                    <button mat-icon-button type="button"
                        (click)="passwordConfirmField.type === 'password' ? passwordConfirmField.type = 'text' : passwordConfirmField.type = 'password'"
                        matSuffix>
                        <mat-icon class="icon-size-5" *ngIf="passwordConfirmField.type === 'text'"
                            [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                        <mat-icon class="icon-size-5" *ngIf="passwordConfirmField.type === 'password'"
                            [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
                    </button>
                    <mat-error *ngIf="resetPasswordForm.get('confirmPassword').hasError('required')">
                        Password confirmation is required
                    </mat-error>
                    <mat-error *ngIf="resetPasswordForm.get('confirmPassword').hasError('mustMatch')">
                        Passwords must match
                    </mat-error>
                </mat-form-field>

                <p class="font-Regular-16 font-7B7B7B">
                    Your password must:</p>

                <ul class="font-Regular-14 ml-4 font-7B7B7B leading-6">
                    <li>
                        <span *ngIf="passwordLength >= 8" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="passwordLength < 8" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Be a minimum of 8 characters
                    </li>
                    <li>
                        <span *ngIf="hasLowerCase" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasLowerCase" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one lowercase letter (a-z)
                    </li>
                    <li>
                        <span *ngIf="hasUpperCase" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasUpperCase" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one uppercase letter (A-Z)
                    </li>
                    <li>
                        <span *ngIf="hasNumber" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasNumber" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one number
                    </li>
                    <li>
                        <span *ngIf="hasSpecialChar" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasSpecialChar" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Include at least one special characters(@$!%*#?&)
                    </li>
                    <li>
                        <span *ngIf="hasMatchPassword" style="font-size: 20px; color:#00e435">
                            &#10003; <!-- Green tick -->
                        </span>
                        <span *ngIf="!hasMatchPassword" style="font-size: 24px; color:#D1D3D4">
                            &#x2022; <!-- Bullet -->
                        </span>
                        Be the same password in the Confirm Password box
                    </li>
                    <li>
                        <span *ngIf="hasCommonWord" style="font-size: 20px; color:#00e435">
                            &#10003;
                        </span>
                        <span *ngIf="!hasCommonWord" style="font-size: 24px; color:#D1D3D4">
                            &#x2022;
                        </span>
                        Not contain common dictionary words
                    </li>
                </ul>


                <!-- Submit button -->
                <button class="fuse-mat-button-large w-full mt-7 button-r5-disable" mat-flat-button [color]="'primary'"
                    [disabled]="resetPasswordForm.disabled" (click)="resetPassword()">
                    <span *ngIf="!resetPasswordForm.disabled">
                        Submit
                    </span>
                    <mat-progress-spinner *ngIf="resetPasswordForm.disabled" [diameter]="24"
                        [mode]="'indeterminate'"></mat-progress-spinner>
                </button>

                <!-- Form footer -->

            </form>
        </div>
    </div>
</div>